<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema xmlns="http://insiel.it/filetransfer/schemixsd/downloadFile"
xmlns:xs="http://www.w3.org/2001/XMLSchema"
xmlns:tgen="http://insiel.it/filetransfer/schemixsd/tipiGenerali"
targetNamespace="http://insiel.it/filetransfer/schemixsd/downloadFile"
elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xs:import namespace="http://insiel.it/filetransfer/schemixsd/tipiGenerali" schemaLocation="tipiGenerali.xsd"/>
	<xs:element name="DownloadFileRequest">
		<xs:complexType>
			<xs:sequence>
				<xs:element name="idFile" type="xs:string"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="DownloadFileResponse">
		<xs:complexType>
			<xs:choice>
				<xs:element name="DownloadFile" type="DownloadFileType"/>
				<xs:element name="Errore" type="tgen:ErroreType"/>
			</xs:choice>
			<xs:attribute name="esito" type="xs:boolean" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:complexType name="DownloadFileType">
			<xs:complexContent>
	    		<xs:extension base="tgen:AttachmentDataType"/>
			</xs:complexContent>
	</xs:complexType>
</xs:schema>
